# azure.mgmt.resource.links.v2016_09_01.operations module

class `azure.mgmt.resource.links.v2016_09_01.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the operation. Constant value: “2016-09-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available Microsoft.Resources REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.resource.links.v2016_09_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/resource/links/v2016_09_01/models/__init__.py'>

class `azure.mgmt.resource.links.v2016_09_01.operations.``ResourceLinksOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ResourceLinksOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – The API version to use for the operation. Constant value: “2016-09-01”.

  `create_or_update`(link_id, properties=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates a resource link between the specified resources.

    Parameters:

    - link_id (str) – The fully qualified ID of the resource link. Use the format, /subscriptions/{subscription-id}/resourceGroups/{resource-group-name}/{provider-namespace}/{resource-type}/{resource-name}/Microsoft.Resources/links/{link-name}. For example, /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myGroup/Microsoft.Web/sites/mySite/Microsoft.Resources/links/myLink
    - properties (ResourceLinkProperties) – Properties for resource link.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ResourceLink or ClientRawResponse if raw=true
    Return type: | ResourceLink or ClientRawResponse
    Raises: | `CloudError`

  `delete`(link_id, custom_headers=None, raw=False, **operation_config)

    Deletes a resource link with the specified ID.

    Parameters:

    - link_id (str) – The fully qualified ID of the resource link. Use the format, /subscriptions/{subscription-id}/resourceGroups/{resource-group-name}/{provider-namespace}/{resource-type}/{resource-name}/Microsoft.Resources/links/{link-name}. For example, /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myGroup/Microsoft.Web/sites/mySite/Microsoft.Resources/links/myLink
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `get`(link_id, custom_headers=None, raw=False, **operation_config)

    Gets a resource link with the specified ID.

    Parameters:

    - link_id (str) – The fully qualified Id of the resource link. For example, /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myGroup/Microsoft.Web/sites/mySite/Microsoft.Resources/links/myLink
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ResourceLink or ClientRawResponse if raw=true
    Return type: | ResourceLink or ClientRawResponse
    Raises: | `CloudError`

  `list_at_source_scope`(scope, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of resource links at and below the specified source scope.

    Parameters:

    - scope (str) – The fully qualified ID of the scope for getting the resource links. For example, to list resource links at and under a resource group, set the scope to /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myGroup.
    - filter (str) – The filter to apply when getting resource links. To get links only at the specified scope (not below the scope), use Filter.atScope().
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ResourceLink
    Return type: | ResourceLinkPaged[ResourceLink]
    Raises: | `CloudError`

  `list_at_subscription`(filter=None, custom_headers=None, raw=False, **operation_config)

    Gets all the linked resources for the subscription.

    Parameters:

    - filter (str) – The filter to apply on the list resource links operation. The supported filter for list resource links is targetId. For example, $filter=targetId eq {value}
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ResourceLink
    Return type: | ResourceLinkPaged[ResourceLink]
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.resource.links.v2016_09_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/resource/links/v2016_09_01/models/__init__.py'>